/**
 * 多语言类型
 */
export const enum LanguageType {
  ZH = 'zh',
  EN = 'en',
}

/**
 * 协议类型
 */
export const enum ProtocolType {
  ModbusRTU = 'ModbusRTU',
  ModbusTCP = 'ModbusTCP',
  S7 = 'S7',
}

/**
 * 协议配置方式
 */
export const enum ProtocolConfigMethod {
  ImportFromTemplate,
  ManuallyCreate,
}

/**
 * 协议识别结果
 */
export const enum ProtocolRecognitionResult {
  Success = '识别成功',
  Unrecognized = '无法识别',
  MultipleResults = '多个结果',
}

/**
 * 字典编码
 */
export const enum DictCode {
  AllProtocolType = 'all_protocol_type',
  ModbusProtocolType = 'modbus_protocol_type',
  S7ProtocolType = 's7_protocol_type',
  ProtocolTemplateFileName = 'protocol_template_file_name',
  BaudRate = 'baud_rate',
  ReadWriteType = 'read_write_type',
  WriteFuncCode = 'write_func_code',
  ReadFuncCode = 'read_func_code',
  ByteOrder = 'byte_order',
  AddrOrder = 'addr_order',
  ParsingType = 'parsing_type',
  IsHighFreqParam = 'is_high_freq_param',
  RegisterType = 'register_type',
  WordLength = 'word_length',
  ReadContinuousAddr = 'read_continuous_addr',
}

/**
 * 符合文件格式的内容类型（接口请求响应）
 */
export const fileContentTypeRegExp =
  /^(application\/(octet-stream|pdf|zip|x-tar|msword|vnd.openxmlformats-officedocument\.wordprocessingml\.document|vnd.ms-excel|vnd.openxmlformats-officedocument\.spreadsheetml\.sheet)|image\/|audio\/|video\/)/;

/**
 * 温湿度类型
 */
export const enum HumitureType {
  /**
   * 回风温湿度
   */
  ReturnAir,
  /**
   * 送风温湿度
   */
  SupplyAir,
  /**
   * 室外温湿度
   */
  Outdoor,
}

/**
 * 设备状态查询
 */
export const enum DeviceStatusQuery {
  All,
  Online,
  Offline,
}

/**
 * 设备运行状态
 */
export const enum DeviceRunningStatus {
  /**
   * 离线
   */
  Offline,
  /**
   * 停机
   */
  Stop,
  /**
   * 运行
   */
  Run,
}

/**
 * 时间范围预设
 */
export const enum TimeRangePreset {
  custom,
  recent1Day,
  recent7Day,
  recent30Day,
}
